Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.controller
Class PipelineDoc

`java.lang.Object
oracle.xml.pipeline.controller.PipelineDoc`

All Implemented Interfaces:
  PipelineConstants

      public class PipelineDoc

extends java.lang.Object
implements PipelineConstants

Encapsulates the pipeline doc, which forms the input to the pipeline execution.

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Constructor Summary
`PipelineDoc(InputSource in, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.io.InputStream in, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.io.Reader r, boolean validate)` Create a pipeline doc.
`PipelineDoc(java.lang.String in, boolean validate)` Create a pipeline doc.

Method Summary
`XMLDocument` `getDocument()` Get the encapsulated document object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipelineDoc

    public PipelineDoc(InputSource in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

  Create a pipeline doc.
  Parameters:
    `xml` - pipeline doc as InputSource
    `boolean` - validate against schema
  Throws:
    `XMLParseException` - thrown for any parsing error
    `SAXException` - thrown if any SAX error
    `java.io.IOException` - thrown if error reading input stream
    `XSDException` - thrown if error during schema validation
    `java.lang.Exception` - thrown if error building XMLSchema object

### PipelineDoc

    public PipelineDoc(java.io.InputStream in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

  Create a pipeline doc.
  Parameters:
    `xml` - pipeline doc as InputStream
    `boolean` - validate against schema or not
  Throws:
    `XMLParseException` - thrown for any parsing error
    `SAXException` - thrown if any SAX error
    `java.io.IOException` - thrown if error reading input stream
    `XSDException` - thrown if error during schema validation
    `java.lang.Exception` - thrown if error building XMLSchema object

### PipelineDoc

    public PipelineDoc(java.io.Reader r,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

  Create a pipeline doc.
  Parameters:
    `xml` - pipeline doc as Reader
    `boolean` - validate against schema or not
  Throws:
    `XMLParseException` - thrown for any parsing error
    `SAXException` - thrown if any SAX error
    `java.io.IOException` - thrown if error reading input stream
    `XSDException` - thrown if error during schema validation
    `java.lang.Exception` - thrown if error building XMLSchema object

### PipelineDoc

    public PipelineDoc(java.lang.String in,
                       boolean validate)
                throws XMLParseException,
                       SAXException,
                       java.io.IOException,
                       XSDException,
                       java.lang.Exception

  Create a pipeline doc.
  Parameters:
    `xml` - pipeline doc as a String
    `boolean` - validate against schema or not
  Throws:
    `XMLParseException` - thrown for any parsing error
    `SAXException` - thrown if any SAX error
    `java.io.IOException` - thrown if error reading input string
    `XSDException` - thrown if error during schema validation
    `java.lang.Exception` - thrown if error building XMLSchema object

Method Detail

### getDocument

    public XMLDocument getDocument()

  Get the encapsulated document object
  Returns:
    XMLDocument object

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.